# tab-separated file of the samples
samples: samples_subset.tsv

# pipeline file locations
result_dir: ../results  # where to store results
genome_dir: /ceph/rimlsfnwi/data/moldevbio/heeringen/jroubroeks/ghe_2021/genome/
fastq_dir: ../samples

log_dir: ../trackhub/log
trackhub_dir : ../trackhub


# contact info for multiqc report and trackhub
# email: janou.roubroeks@ru.nl

# produce a UCSC trackhub?
create_trackhub: true  # false
create_qc_report: false

# how to handle replicates
technical_replicates: merge    # change to "keep" to not combine them

# which trimmer to use
trimmer: fastp

# which quantifier to use
quantifier: salmon  # or htseq or featurecounts,was salmon

# which aligner to use (not used for the gene counts matrix if the quantifier is Salmon)
aligner: star

# filtering after alignment (not used for the gene counts matrix if the quantifier is Salmon)
markduplicates: -Xms4G -Xmx6G MAX_FILE_HANDLES_FOR_READ_ENDS_MAP=999  # keep duplicates (check dupRadar in the MultiQC)
remove_blacklist: true
min_mapping_quality: 255  # (only keep uniquely mapped reads from STAR alignments)
only_primary_align: true

# # differential gene expression analysis
# contrasts:
#   - 'supernatant_TA_DMSO'
#   - 'adherent_TA_DMSO'
#   - 'day19_adherent_supernatant'
